Subject: [radext] Comments on draft-ietf-radext-dynamic-discovery-06

From: "Jim Schaad" <[email-masked]>
Date: Wed, 27 Feb 2013 21:36:56 -0800

A couple of new issues to think about

1.   Should there be a potential privacy concern noted in this document
surrounding the question of what information can leak based on the domain(s)
being queried?  I am not sure that there is any usable information leaking
here but this is not even close to my forte.

 2.  In section 2.3.3 - May want to be a bit more detailed here about the
subsequent lookup steps.  Presumably this is not starting with step 8 but I
could be wrong.  I.e. do we take the set of result names and go back to step
4 with new values of R?

3.  In section 2.3.3 - Please provide some text somewhere about the
reasoning behind step 15.  I can understand removing a single record from
the record set but all of them?

4.  In section 2.3.3 - Step 12 does not specify where the negative TTL comes
from.  ( referenced as something significant in 2.3.4)

Jim